### Struct

# FwupdPlugin StructCabHeader

#### Description

    struct FuStructCabHeader {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_cab_header_new

No description available.

###### fu_struct_cab_header_parse_stream

No description available.

###### fu_struct_cab_header_validate_stream

No description available.

#### Instance methods

###### fu_struct_cab_header_get_flags

No description available.

###### fu_struct_cab_header_get_idx_cabinet

No description available.

###### fu_struct_cab_header_get_nr_files

No description available.

###### fu_struct_cab_header_get_nr_folders

No description available.

###### fu_struct_cab_header_get_off_cffile

No description available.

###### fu_struct_cab_header_get_set_id

No description available.

###### fu_struct_cab_header_get_size

No description available.

###### fu_struct_cab_header_ref

No description available.

###### fu_struct_cab_header_set_flags

No description available.

###### fu_struct_cab_header_set_idx_cabinet

No description available.

###### fu_struct_cab_header_set_nr_files

No description available.

###### fu_struct_cab_header_set_nr_folders

No description available.

###### fu_struct_cab_header_set_off_cffile

No description available.

###### fu_struct_cab_header_set_set_id

No description available.

###### fu_struct_cab_header_set_size

No description available.

###### fu_struct_cab_header_unref

No description available.